Monitoring - Retrieve Dashboards For Object
ホストに基づいてオブジェクトのダッシュボードを取得します。
GET http://<Servername>/OperationsManager/monitoring/dashboardsForObject/{hostName}?scomObjectId={scomObjectId}
URI パラメーター
| 名前 | / | 必須 | 型 | 説明 |
|---|---|---|---|---|
|
host
|
path | True |
string |
ホスト名 DrilldownSCOMAlert 様 |
|
scom
|
query | True |
string |
オブジェクト ID を指定します |
応答
| 名前 | 型 | 説明 |
|---|---|---|
| 200 OK |
わかりました。オブジェクトのダッシュボードを正常に取得しました。 Media Types: "application/json", "text/json", "application/xml", "text/xml" |
例
Monitoring_RetrieveDashboardsForObject
要求のサンプル
GET http://<Servername>/OperationsManager/monitoring/dashboardsForObject/DrilldownSCOMAlert?scomObjectId=3ef57959-542f-471e-8046-66423f70377e
応答のサンプル
[
{
"id": "e714789c-787d-da0f-7282-6be465adbce7",
"name": "Alert details",
"description": null,
"mpId": "4c5b598e-3bd7-6420-7c31-0aac5cbea1a9",
"componentType": "DrilldownSCOMAlert",
"config": ""
}
]
定義
ComponentResponse
| 名前 | 型 | 説明 |
|---|---|---|
| componentType |
string |
コンポーネントの種類 |
| config |
string |
設定 |
| description |
string |
コンポーネントの説明 |
| id |
string |
身分証明書 |
| mpId |
string |
コンポーネントMP ID |
| name |
string |
コンポーネント名 |